<?php

use CodeIgniter\Router\RouteCollection;
use App\Controllers\Home;

/**
 * @var RouteCollection $routes
 */

$routes->get('/login', 'Auth::index');
$routes->post('/login', 'Auth::login');
$routes->get('/logout', 'Auth::logout');
$routes->post('/recover', 'Auth::recover');
$routes->get('/recuperar-clave', 'Auth::recover');
$routes->get('/validar/(:any)', 'Auth::validarToken/$1');
$routes->post('/cambiar-clave', 'Auth::cambiarClave');

$routes->group('', ['filter' => 'auth'], function($routes){
   $routes->get('/', 'Home::index');
   $routes->get('/inicio', 'Home::inicio');
   $routes->get('/dashboard', 'Home::dashboard');

   $routes->get('usuario', 'Usuario::index');
   $routes->post('usuario/datatable', 'Usuario::datatable');
   $routes->get('usuario/create', 'Usuario::create');
   $routes->post('usuario/store', 'Usuario::store');
   $routes->get('usuario/edit/(:num)', 'Usuario::edit/$1');
   $routes->post('usuario/update/(:num)', 'Usuario::update/$1');
   $routes->get('usuario/delete/(:num)', 'Usuario::delete/$1');

   $routes->get('permisos', 'Permisos::index');
   $routes->get('permisos/perfil/(:num)', 'Permisos::index/$1');
   $routes->post('permisos/guardar/(:num)', 'Permisos::guardar/$1');

   $routes->get('mi-perfil', 'MiPerfil::index');
   $routes->post('mi-perfil/update', 'MiPerfil::update');

   $routes->get('organizacion', 'Organizacion::index');
   $routes->get('organizacion/admin', 'Organizacion::admin');
   $routes->post('organizacion/datatable', 'Organizacion::datatable');
   $routes->get('organizacion/create', 'Organizacion::create');
   $routes->post('organizacion/store', 'Organizacion::store');
   $routes->get('organizacion/edit/(:num)', 'Organizacion::edit/$1');
   $routes->post('organizacion/update/(:num)', 'Organizacion::update/$1');
   $routes->get('organizacion/delete/(:num)', 'Organizacion::delete/$1');

   $routes->get('modulos', 'Modulos::index');


   $routes->post('modulos/datatable', 'Modulos::datatable');
   $routes->post('modulos/datatablebandeja', 'Modulos::datatablebandeja'); 
   $routes->get('modulos/bandeja', 'Modulos::bandeja');
   $routes->get('modulos/create', 'Modulos::create');
   $routes->post('modulos/store', 'Modulos::store');
   $routes->get('modulos/edit/(:num)', 'Modulos::edit/$1');
   $routes->post('modulos/update/(:num)', 'Modulos::update/$1');
   $routes->post('modulos/api_save_esquema/(:num)', 'Modulos::api_save_esquema/$1');
   $routes->post('modulos/save_response', 'Modulos::save_response');

   $routes->get('gestion-tickets', 'GestionTickets::index');
   $routes->get('mis-tickets', 'GestionTickets::mis_tickets');

   $routes->get('modulos/delete/(:num)', 'Modulos::delete/$1');

   $routes->get('modulos/gestionar/(:num)', 'Modulos::gestionar/$1');
   $routes->get('modulos/gestionar_creador/(:num)', 'Modulos::gestionar_creador/$1');
   $routes->post('modulos/guardar_gestion', 'Modulos::registrar_gestion');
   $routes->get('modulos/ver_historial/(:num)', 'Modulos::ver_historial/$1');
   $routes->post('formio/upload', 'FormioUpload::upload');

   $routes->get('agenda-y-eventos', 'Eventos::index');
   $routes->get('eventos/mis-eventos', 'Eventos::mis_eventos');
   $routes->post('eventos/datatable', 'Eventos::datatable');
   $routes->get('eventos/create', 'Eventos::create');
   $routes->get('eventos/listado', 'Eventos::listado');
   $routes->post('eventos/store', 'Eventos::store');
   $routes->get('eventos/edit/(:num)', 'Eventos::edit/$1');
   $routes->post('eventos/update/(:num)', 'Eventos::update/$1');
   $routes->post('eventos/delete/(:num)', 'Eventos::delete/$1');
   
   $routes->get('certificados', 'Certificados::index');
   $routes->post('certificados/generar', 'Certificados::generar_certificado/$1');
   $routes->get('certificados/generar/(:num)', 'Certificados::generar_certificado/$1');
   
   $routes->get('documentos-y-archivos', 'Archivos::index');
   $routes->post('archivos/datatable', 'Archivos::datatable');
   $routes->get('archivos/listado', 'Archivos::listado');
   $routes->post('archivos/store', 'Archivos::store');
   $routes->post('archivos/update/(:num)', 'Archivos::update/$1');
   $routes->post('archivos/delete/(:num)', 'Archivos::delete/$1');
   
   $routes->get('comunicacion-y-participacion', 'Comunicacion::index');
   $routes->get('comunicacion-y-participacion/encuesta/(:any)', 'Comunicacion::encuesta/$1');
   $routes->get('comunicacion-y-participacion/foro/(:any)', 'Comunicacion::foro/$1');


});